export function formatDate(date, fmt) {
  let o = {
    'M+': date.getMonth() + 1, // 月份
    'd+': date.getDate(), // 日
    'h+': date.getHours(), // 小时
    'm+': date.getMinutes(), // 分
    's+': date.getSeconds(), // 秒
    'q+': Math.floor((date.getMonth() + 3) / 3), // 季度
    'S': date.getMilliseconds() // 毫秒
  };
  if (/(y+)/.test(fmt))
    fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
  for (let k in o)
    if (new RegExp('(' + k + ')').test(fmt))
      fmt = fmt.replace(RegExp.$1, (RegExp.$1.length === 1) ? (o[k]) : (('00' + o[k]).substr(('' + o[k]).length)));
  return fmt;
};

// 保留小数点一位
export function toFixedd(test) {
  var str = parseFloat(test);
  return str.toFixed(2);
}

// 如果为空
export function ifNullNum(val) {
  if (val === 0 || val === '' || val === null || val === '0') {
    return 0;
  } else {
    return val;
  }
}

// 保留整数
export function toInteger(test) {
  return parseInt(test);
}

export function fullDate(dateText) {

  let reg = /^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}Z$/;

  if (reg.test(dateText)) {
    return formatDate(new Date(dateText), 'yyyy-MM-dd hh:mm:ss');
  } else {
    return dateText;
  }

}
// 空判断
export function ifNull2(value) {
  if (value === '' || !value) {
    return '-';
  }else {
    return value;
  }
}

export function baseDate(dateText) {
  return formatDate(new Date(dateText), 'yyyy-MM-dd');
}
// 数字转化为百分比
export function numberStrToFixed(str, length = 2) {
  return (str * 1).toFixed(length);
}
// 身份证加密
export function idCardChange(str) {
  if (str) {
    return str.replace(/(\w{6})\w*(\w{4})/, '$1********$2');
  }
  return '';
}
// 空判断
export function isNull(value) {
  if (!value) {
    return '暂无';
  } else {
    return value;
  }
}
// 空判断
export function unit(value) {
  if (value) {
    return value+ '元';
  } else {
    return 0+ '元';
  }
}
export function toFixed(value) {
  return parseFloat(value).toFixed(0);
}
